View Issue Details

IDProjectCategoryView StatusLast Update
0003809TechDraw[FreeCAD] Bugpublic2019-02-14 20:43
ReporteruwestoehrAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003809: Some ProjGroup settings have no effect
Description- select a body and create a new drawing page
- use the menu TechDraw -> Insert Projection Group to create a projected view
- now select the ProjGroup and go into the property window
- change the rotation and the x- and y-position

result: nothing happens, no rotation, no displacement

Other settings like e.g. the Scale for fine, only position and rotation do not. If they are intended to have no effect in this respect, the fields should be disabled.
Additional InformationForum thread: https://forum.freecadweb.org/viewtopic.php?p=283111#p283111

Windows 7 64-bit, Version: 0.18.15711 (Git)
TagsNo tags attached.

Activities

wandererfan

2019-01-30 14:17

developer   ~0012563

Rotation property is not applicable to ProjectionGroup. The Rotation property for ProjectionGroups has been hidden by commit 0c5629870c.

Kunda1

2019-02-11 11:02

administrator   ~0012623

@wandererfan so this is has changed in to a feature request?

uwestoehr

2019-02-11 12:29

updater   ~0012625

> so this is has changed in to a feature request?

No. The rotation issue has been solved. The problem remains that for ProjectionGroup FC offers a displacement feature. Either this do actually displace. if Displacement is not applicable for ProjectionGroup this property must be hidden or disabled.

wandererfan

2019-02-11 13:50

developer   ~0012627

@Kunda1 wrote: "@wandererfan so this is has changed in to a feature request?"

Still a bug. X/Y properties need to be fixed. Rotation was an easy fix I could do while travelling.

wmayer

2019-02-14 20:43

administrator   ~0012639

https://github.com/FreeCAD/FreeCAD/commit/41ab00c1164ab0781f5c7db0da7245784312d86f

Issue History

Date Modified Username Field Change
2019-01-29 20:05 uwestoehr New Issue
2019-01-30 14:17 wandererfan Note Added: 0012563
2019-01-30 14:19 wandererfan Assigned To => wandererfan
2019-01-30 14:19 wandererfan Status new => acknowledged
2019-01-30 14:19 wandererfan Target Version => 0.18
2019-01-30 14:19 wandererfan Summary ProjGroup settings have no effect => Some ProjGroup settings have no effect
2019-02-11 11:02 Kunda1 Note Added: 0012623
2019-02-11 12:29 uwestoehr Note Added: 0012625
2019-02-11 13:50 wandererfan Note Added: 0012627
2019-02-14 20:43 wmayer Status acknowledged => closed
2019-02-14 20:43 wmayer Resolution open => fixed
2019-02-14 20:43 wmayer Fixed in Version => 0.18
2019-02-14 20:43 wmayer Note Added: 0012639